www.ctrt.net > jAvA projECt FACEt

jAvA projECt FACEt

发生这个问题的原因是你的java编译环境(JDK版本),与tomcat运行环境(JDK或JRE版本)不一致导致的。从你给的图看出,应该是Java编译环境是JDK1.8,而tomcat运行环境是1.7导致的。

Java compiler level只是java编译器的版本,比如1.8\1.7 Java project facet指的是当前project中所有的版本,其中包括Java compiler level

发生这个问题的原因是你的java编译环境(JDK版本),与tomcat运行环境(JDK或JRE版本)不一致导致的。从你给的图看出,应该是Java编译环境是JDK1.8,而tomcat运行环境是1.7导致的。

在工程目录下的.settings文件夹里,打开org.eclipse.wst.common.project.facet.core.xml文件,其内容是: 删除几行,只留下面三行就行

web.xml里面的。xml头的版本号和你项目的不facets的不匹配。应该是xml的高了。。facets里面低了。去project properties里面修改,有一个选项Danymic web module 后边是version,你修改下应该就好了。

我使用的是Dynamic Web Module 3.0的版本,jdk也是1.7,但是却出现了如下错误 Description Resource Path Location Type Cannot change version of project facet ...

一般出现在从别处import的项目上,只有项目文件夹上有红叉,其他地方都正常,现总结个人的几个解决方案: 有几种可能: 1,编码设置是否一致,也即是你项目原来的编码和现在eclipse用的默认编码是否一致 2,导入项目中jar路径可能已经被改变,多...

如果没有 就安装 eclipse javaee版

解决步骤: 1、进入项目目录,可看到.project文件,打开。 2、找到

在工程目录下的.settings文件夹里,打开org.eclipse.wst.common.project.facet.core.xml文件,其内容是: 删除几行,只留下面三行就行

网站地图

All rights reserved Powered by www.ctrt.net

copyright ©right 2010-2021。
www.ctrt.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com